Name:           perl-Perl-Version
Version:        1.011
Release:        2%{?dist}
Summary:        Parse and manipulate Perl version strings
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Perl-Version/
Source0:        http://www.cpan.org/authors/id/A/AN/ANDYA/Perl-Version-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Slurp) >= 9999.12
# tests
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Perl::Version provides a simple interface for parsing, manipulating and
formatting Perl version strings.

%prep
%setup -q -n Perl-Version-%{version}

%build
PERL_MM_USE_DEFAULT=true %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes Notes.txt README
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.011-2
- Perl mass rebuild

* Sat Feb 26 2011 Iain Arnell <iarnell@gmail.com> 1.011-1
- update to latest upstream version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.010-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.010-2
- 661697 rebuild for fixing problems with vendorach/lib

* Sun Sep 26 2010 Iain Arnell <iarnell@gmail.com> 1.010-1
- update to latest upstream
- clean up spec for modern rpmbuild

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.009-3
- Mass rebuild with perl-5.12.0

* Sun Apr 04 2010 Iain Arnell <iarnell@gmail.com> 1.009-2
- install perl-reversion script

* Fri Apr 02 2010 Iain Arnell <iarnell@gmail.com> 1.009-1
- Specfile autogenerated by cpanspec 1.78.
- use perl_default_filter and DESTDIR
- avoid EU::MM prompt
